Gracias Gracias:  4
Me Gusta Me Gusta:  2
No me Gusta No me Gusta:  0
Mostrando resultados del 1 al 7 de 7

Tema: Baloo y Vega 11 tras instalar Leap 15.1

  1. #1
    Fecha de Ingreso
    08-noviembre-2018
    Mensajes
    46
    Post Thanks / Like
    Poder de Credibilidad
    0

    Baloo y Vega 11 tras instalar Leap 15.1

    Hola foro,
    Después de estar leyendo vuestras incidencias para acceder a la leap 15.1, decidí optar por la re-instalación y actualización de Bios, con replanteo incluido de particiones. De modo global, ha ido bien, solo con 2 incidencias relativas a sistema y 2 a Sw, por ahora.
    ----------
    La 1ª incidencia de sistema sucede en cada arranque/reinicio, apareciendo un icono con cara compungida que me anuncia fallo y detención del "Baloo file indexing Daemon"... y el elemento gráfico de la previsión meteorológica aparece parado y con interrogante. Éste tiene refresco cada 30 min.... y al min 31 el tiempo se recupera.

    Quizás tenga yo la culpa, pues sobrescribí la partición home por defecto 15.1 con el home guardado de la 15.0 (Un solo usuario con datos y configuraciones que han hecho su labor al ir reinstalando Sw.)

    Leyendo sdb, recomiendan reindexar y ya lo he hecho:
    balooctl stop
    rm ~/.local/share/baloo -rf
    balooctl start
    ... pero sigue avisando tras cada arranque que se ha detenido... ¿Es grave doctor? o paso de ello?
    --------
    La 2ª incidencia afecta a mi GPU embebida Vega11. Todas mis fantasías de usos 3D y VR han estado en dique seco, durante el uso de la 15.0, al no estar ese driver en la distribución. Ahora probé Trigger, FreeCad y Flightgear... Casi bien, Flightgear tiene nueva versión del 2018 y parece que hay que buscar/instalar escenarios, que dejaré para otra ocasión... pero el avión no despega, -o sí- por falta de referencias.

    Decidí desempolvar otro simulador que tenía aparcado: Aerofly ultimate para windows (simulador aviones RC): Wine y funcionando, buenos Fps y visión de escenarios 360º muy eficiente, pero sin avión, aunque con cambios de flecha de ratón al pasar sobre lugar donde se supone que debería estar... Vaya!, En uno, sin escenarios, ni el de defecto. El otro sin avión, aunque viendo el polvo que levanta... Es como si la capa avión estuviera debajo de la capa escenario... Y los escenarios tipo 4D del Aerofly solo se cargan parcialmente.

    En el foro de Aerofly encontré varias entradas con el mismo problema y las respuestas indicaban actualización del driver nvidia y problema solventado, pero nvidia no es mi caso. Si este fuera el camino, ¿Como se actualiza el driver AMD Vega? ¿kernel? ¿Mesa...?
    --------------
    En lo que se refiere a Sw, si no lo consigo, ya os preguntaré en el subforo de Sw (Pysol y Virtualbox )

    Saludos

  2. #2
    Fecha de Ingreso
    07-febrero-2007
    Ubicación
    Ourense
    Mensajes
    8.604
    Post Thanks / Like
    Poder de Credibilidad
    22
    Hola.

    1. Yo eliminaría toda la configuración de Plasma y probaría una nueva.
    2. Aunque es para 15.0, es posible que esto te sirva de algo: https://en.opensuse.org/SDB:AMDGPU-PRO

    Salud!!

  3. Gracias toni_usuario ha agradecido este mensaje
  4. #3
    Fecha de Ingreso
    08-noviembre-2018
    Mensajes
    46
    Post Thanks / Like
    Poder de Credibilidad
    0

    Question

    Agradecido por la info, karlggest.
    He empezado por el driver gráfico, que es la carencia actual más grave, con el permiso de Baloo. Siguiendo la guía propuesta, he creado el repositorio local con los drivers indicados. Y al activar el instalador de Sw Yast, informa que
    #### YaST2 conflicts list - generated 2019-07-13 22:13:33 ####
    no hay nada que proporcione X11_ABI_VIDEODRV = 23.0, necesario para xorg-x11-amdgpu-drv-amdgpu-1:18.1.99-785424.x86_64
    ... Son aguas profundas y he parado máquinas...

    Por otra parte, en las notas genéricas de instalación del amdgpu, -substituido por la guía SDB:AMDGPU-PRO-,
    habla de especificación de escenarios en el script amdgpu-install
    · PAL: Provides support for Vega 10 and newer hardware.
    · Legacy: Provides support for hardware older than Vega 10.
    Oficialmente tengo un Ryzen 5 2400g Vega11, pero al solicitar
    sudo /bin/bash -c 'lspci -nn | grep VGA'
    me habla de Vega8
    38:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Radeon Vega 8 Mobile [1002:15dd] (rev c6)
    Mi despiste es múltiple ¿Dependo sólo de encontrar el X11_ABI_VIDEODRV =23.0?
    (No instalado, por ser aguas profundas)

    ¿Identifica y resuelve Yast las opciones de instalación Vega>/< 10? ¿Tengo una Vega11 o una Vega 8?
    ... Habrá que esperar a Leap 15.2?

    Lo dicho, despistado.
    Saludos

  5. #4
    Fecha de Ingreso
    19-marzo-2005
    Ubicación
    En un lugar del planeta Tierra
    Mensajes
    17.361
    Post Thanks / Like
    Poder de Credibilidad
    10
    Cita Iniciado por toni_usuario Ver Mensaje
    Mi despiste es múltiple ¿Dependo sólo de encontrar el X11_ABI_VIDEODRV =23.0?
    (No instalado, por ser aguas profundas)

    Saludos
    Mira los comandos de abajo:
    Código:
    ~> zypper wp X11_ABI_VIDEODRV
    El comando 'what-provides' se ha sustituido por 'search --provides --match-exact'.
    Consulte 'help search' para ver todas las opciones disponibles.
    Cargando datos del repositorio...
    Leyendo los paquetes instalados...
    
    E  | Nombre          | Resumen | Tipo    
    ---+-----------------+---------+--------
    i+ | xorg-x11-server | X       | paquete
    
    ~> zypper se -iv xorg-x11-server  
    Cargando datos del repositorio...
    Leyendo los paquetes instalados...
    
    E  | Nombre                | Tipo    | Versión             | Arquitectura | Repositorio                   
    ---+-----------------------+---------+---------------------+--------------+------------------------------
    i+ | xorg-x11-server       | paquete | 1.19.6-lp150.7.10.2 | x86_64       | openSUSE-Leap-15.0-Update-Oss
        name: xorg-x11-server
    i+ | xorg-x11-server-extra | paquete | 1.19.6-lp150.7.10.2 | x86_64       | openSUSE-Leap-15.0-Update-Oss
        name: xorg-x11-server-extra
    
    
    Si quieres instalar la version 23 o superior tienes que añadir un repositorio de los que te aparece aqui: https://software.opensuse.org/package/xorg-x11-server
    NORMAS A CUMPLIR EN LOS FOROS (Lectura obligatoria) Lo siento, no contesto privados sobre problemas con GNU/Linux.
    Síguenos en TWITTER y en FACEBOOK
    Código:
    Buscador de   Alojamiento      Alojamiento     Otros
     paquetes:    de imágenes:     de ficheros:    buscadores:
    Search        TinyPic          Ifile Wuala     Simple y Facil
    Webpinstant   Paste Suse       SendSpace       TextSnip  Cl1p

  6. Gracias toni_usuario ha agradecido este mensaje
    Me Gusta enae le ha gustado este mensaje
  7. #5
    Fecha de Ingreso
    08-noviembre-2018
    Mensajes
    46
    Post Thanks / Like
    Poder de Credibilidad
    0
    toni@192:~> zypper wp X11_ABI_VIDEODRV
    Cargando datos del repositorio...
    Leyendo los paquetes instalados...
    E | Nombre | Resumen | Tipo
    ---+-----------------+---------+--------
    i+ | xorg-x11-server | X | paquete
    -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
    toni@192:~> zypper se -iv xorg-x11-server
    Cargando datos del repositorio...
    Leyendo los paquetes instalados...
    E | Nombre | Tipo | Versión | Arquitectura | Repositorio
    ---+-------------------------+---------+------------------+--------------+----------------------
    i+ | xorg-x11-server | paquete | 1.20.3-lp151.3.1 | x86_64 | Repositorio principal
    name: xorg-x11-server
    i+ | xorg-x11-server-extra | paquete | 1.20.3-lp151.3.1 | x86_64 | Repositorio principal
    name: xorg-x11-server-extra
    i+ | xorg-x11-server-wayland | paquete | 1.20.3-lp151.3.1 | x86_64 | Repositorio principal
    name: xorg-x11-server-wayland
    -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
    toni@192:~> xrandr --listproviders
    Invalid MIT-MAGIC-COOKIE-1 keyProviders: number : 1
    Provider 0: id: 0x57; cap: 0xf (Source Output, Sink Output, Source Offload, Sink Offload); crtcs: 4; outputs: 4; associated providers: 0; name: Unknown AMD Radeon GPU @ pci:0000:38:00.0
    output DisplayPort-0
    output HDMI-A-0
    output HDMI-A-1
    output HDMI-A-2
    ¿El camino recomendado es
    mantener el repositorio local amdgpu-pro 19.2, prioridad 93, sugerido por karlggest (sin marcar la tilde rpm simple)
    + instalación ymp xorg-x11-server, prioridad 99, indicado por DR
    + re-intento Yast para instalar Sw amdgpu-pro?

    Desde la ignorancia de las aguas profundas: El ymp para xorg-x11 de DR indica que instalará la versión 1.20.3 para leap 15.1, que parece ser que es la que ya tengo ( y TW esta en la 1.20.4)...

    Antes de proceder con el ymp xorg-X11-server sugerido por DR, también he probado el procedimiento, pero con el repositorio amdgpu 18.50, anterior a la 19.2, -por si no exigiera tanto-, y el mensaje Yast permanece:
    "No hay nada que proporcione X11_ABI_VIDEODRV = 23.0, necesario para xorg-x11-amdgpu-drv-amdgpu-1:18.1.99-756340.x86_64!
    [ ] no instalar amdgpu-18.50-756340.x86_64
    [ ] romper xorg-x11-amdgpu-drv-amdgpu-1:18.1.99-756340.x86_64 ignorando algunas de sus dependencias"
    Las dudas GPU ahora se resumen en:
    - Sí.- Hay que instalar el .ymp xorg-x11 con repo amdgpu 19.20 y se soluciona todo.
    - No.- Seguiríamos en las mismas, con un entorno más sucio. Parar intentos. Aún no está resuelto el driver.
    - Instalar/actualizar más cosas, con cambio de repositorio priorizado, además del amdgpu-pro, -único citado en el procedimiento-, como:
    amdgpu, libdrm-amdgpu, x86-amdgpu..., algún otro xorg-x11... Adjunto 2 pantallas. (...Son esperanzados palos de ciego)
    amdgpu.jpg
    Xorg-x11.jpg

  8. #6
    Fecha de Ingreso
    11-septiembre-2017
    Ubicación
    Mendoza, Argentina
    Mensajes
    127
    Post Thanks / Like
    Poder de Credibilidad
    2
    Estimado, amdgpu-pro no tiene soporte para las gpu Raven Ridge utilizadas en los ryzen 2200g y 2400g, la única opción disponible es kernel, mesa, llvm, drm, firmware y xorg recientes, puedes buscar algún repo que los ofrezca, probar TW o bien otra distro que tenga los paquetes actualizados.
    https://www.amd.com/es/support/kb/re...-19-20-unified
    Saludos.

  9. Gracias toni_usuario, DiabloRojo ha agradecido este mensaje
    Me Gusta enae le ha gustado este mensaje
  10. #7
    Fecha de Ingreso
    08-noviembre-2018
    Mensajes
    46
    Post Thanks / Like
    Poder de Credibilidad
    0
    Resumo lo visto:
    La L15.1 me va mejor que la L15.0, al aproximarse mejor mi APU. Y ha desaparecido el error del Daemon Baloo del inicio, tras repetidos resets, citados en la primera entrada.

    Con la incorporación de los drivers del kernel 19 al 12 y la actualización a mesa 18.3 en L15.1, creía que las nuevas arquitecturas Ryzen quedaban resueltas en Leap. Se ha mejorado bastante (visto en Freecad y Trigger, p.e.), pero no se ha resuelto plenamente (Gestión de capas, simuladores vuelo, etc... No soy jugón y no puedo opinar sobre juegos 3D y VR, aunque lo buscaba para sorprender a mis nietos)

    La sugerencia de karlggest hacia el driver propietario amdgpu-pro parecía un buen camino, pues el paquete citaba a la familia AMD RX Vega. Y, si bien es para L15.0, la L15.1 solo varía en reclamar presencias y enlaces distintos.

    https://reposcope.com/package/xorg-x11-server/dependencies

    X11_ABI_VIDEODRV para leap 15.1 requiere 24.0, no 23.0
    X11_ABI_XINPUT para leap 15.1 requiere 24.1
    xorg-x11-server Leap 15.1 < 7.6_1.20.3

    Pero Couco tiene razón. El paquete propietario no cita expresamente los Ryzen. Esperaba mayor atención de AMD hacia sus nuevas APU s/linux, tras los buenos benchmarks s/win. Tendré que ir esperando la actualización de los componentes "free".

    Gracias a todos y saludos.

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Temas Similares

  1. Usuarios no registrado tras instalar leap 15
    By keredo in forum Instalación y Actualizaciones
    Respuestas: 4
    Último mensaje: 25-sep-2018, 05:28
  2. archivo baloo se cerro inesperadamente
    By Dacer133 in forum Escritorios: KDE, Gnome, otros...
    Respuestas: 1
    Último mensaje: 31-ene-2015, 10:45
  3. error tras instalar ntfs-3g
    By jack_el_birras in forum Software
    Respuestas: 2
    Último mensaje: 14-may-2008, 20:24
  4. Tras instalar drivers
    By izar in forum Software
    Respuestas: 1
    Último mensaje: 23-mar-2007, 03:02
  5. Tras instalar drivers
    By izar in forum Instalación y Actualizaciones
    Respuestas: 1
    Último mensaje: 23-mar-2007, 03:02

Marcadores

Normas de Publicación

  • No puedes crear nuevos temas
  • No puedes responder mensajes
  • No puedes subir archivos adjuntos
  • No puedes editar tus mensajes
  •